### Method

# Vte Regex jit

#### Declaration [src]

    gboolean
    vte_regex_jit (
      VteRegex* regex,
      guint32 flags,
      GError** error
    )

#### Description [src]

If the platform supports JITing, JIT compiles `regex`.

#### Parameters

`flags`

  Type: `guint32`

  PCRE2 JIT flags, or 0.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if JITing succeeded (or PCRE2 was built without JIT support), or `FALSE` with `error` filled in.